Subject: Re: [PATCH net-next V7 0/8] net/mlx4_en: DCB QoS support

From: Amir Vadai <[email-masked]>
Date: Thu, 5 Apr 2012 14:22:16 +0300

On 04/05/2012 12:28 PM, David Miller wrote:
> From: Amir Vadai<[email-masked]>
> Date: Thu,  5 Apr 2012 10:33:23 +0300
>
>> DCBX version 802.1qaz is supported.
>> User Priority (UP) is set in QP context instead of in WQE (QP Work Queue
>> Element), which means that all traffic from a queue will have the same UP.
>> UP is also set for untagged traffic to be able to classify such traffic too.
>>
>> Mapping from sk_prio to User Priority is done by sch_mqprio mapping. Although
>> confusingly sch_mqprio maps sk_prio to something called TC, it is not related
>> to DCBX's TC, and is interpreted by mlx4_en driver as UP.
>>
>> User can set maximal BW for an ETS TC. This could be done by a new optional
>> attribute added to DCB_ATTR_IEEE called DCBNL DCB_ATTR_IEEE_MAXRATE. It accept
>> an array of 8 64 bits values, 1 for every ETS TC. Units are in Kbps.
>
> All applied, thanks.
>
> Please double check that all the new locations that reference
> ip_tos2prio have a proper dependency on CONFIG_INET.
>
> THanks.

Thank you and to the reviewers.

And Yes, the dependencies are good:
The only new place that uses it is in cma.c which is part of rdma_cm.
rdma_cm depends on CONFIG_INFINIBAND_ADDR_TRANS that depends on
CONFIG_INET

- Amir